Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlantp

    java.lang.Object
      org.netlib.lapack.Dlantp

    public class Dlantp

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANTP  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  triangular matrix A, supplied in packed form.
     *
     *  Description
     *  ===========
     *
     *  DLANTP returns the value
     *
     *     DLANTP = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in DLANTP as described
     *          above.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the matrix A is upper or lower triangular.

     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  DIAG    (input) CHARACTER*1
     *          Specifies whether or not the matrix A is unit triangular.
     *          = 'N':  Non-unit triangular
     *          = 'U':  Unit triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, DLANTP is
     *          set to zero.
     *
     *  AP      (input) DOUBLE PRECISION array, dimension (N*(N+1)/2)
     *          The upper or lower triangular matrix A, packed columnwise in

     *          a linear array.  The j-th column of A is stored in the array

     *          AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
     *          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n.
     *          Note that when DIAG = 'U', the elements of the array AP
     *          corresponding to the diagonal elements of the matrix A are
     *          not referenced, but are assumed to be one.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I'; otherwise, WORK is not
     *          referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`Dlantp()`

Method Summary
`static double` | `dlantp(java.lang.String norm, java.lang.String uplo, java.lang.String diag, int n, double[] ap, int _ap_offset, double[] work, int _work_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlantp

    public Dlantp()

Method Detail

### dlantp

    public static double dlantp(java.lang.String norm,
                                java.lang.String uplo,
                                java.lang.String diag,
                                int n,
                                double[] ap,
                                int _ap_offset,
                                double[] work,
                                int _work_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD